Author Topic: Help upgrade from B4 to 2.0 RC (w/ 2 updates)  (Read 3300 times)

coachmiami

  • Newbie
  • *
  • Posts: 4
    • View Profile
    • Email
Help upgrade from B4 to 2.0 RC (w/ 2 updates)
« on: March 12, 2012, 06:42:26 pm »
Update #2

Forget it. I am going to install in new and not try to update.

End update 2.

Update #1 I guess most of the viewers are as ignorant about this stuff as I am!  Are they just as frustrated?

I deleted the "fo_administration_tools" (it had fields about emails) and tried the upgrade again. This time I get the copied error. I see the 'script installer data is wrong and do not know where to find it...

Yuk.

Error (DBQueryError)
Query failed with message 'Unknown column 'default_billing_id' in 'field list''
Error params:
File:    /home/help/public_html/feng/environment/library/database/adapters/AbstractDBAdapter.class.php
Line:    386
Sql:    SELECT `id`, `object_type_id`, `name`, `created_on`, `created_by_id`, `updated_on`, `updated_by_id`, `trashed_on`, `trashed_by_id`, `archived_on`, `archived_by_id`, `object_id`, `first_name`, `surname`, `is_company`, `company_id`, `department`, `job_title`, `birthday`, `timezone`, `user_type`, `is_active_user`, `token`, `salt`, `twister`, `display_name`, `permission_group_id`, `username`, `brand_colors`, `contact_passwords_id`, `picture_file`, `avatar_file`, `comments`, `last_login`, `last_activity`, `last_visit`, `personal_member_id`, `disabled`, `default_billing_id` FROM `fo_contacts` INNER JOIN `fo_objects` o ON o.id = `fo_contacts`.object_id WHERE `object_id` = '2'
Error number:    1054
Error message:    Unknown column 'default_billing_id' in 'field list'
Backtrace:
#0 /home/help/public_html/feng/environment/library/database/adapters/AbstractDBAdapter.class.php(285): AbstractDBAdapter->prepareAndExecute('?? ??SELEC...', NULL)
#1 /home/help/public_html/feng/environment/library/database/DB.class.php(179): AbstractDBAdapter->executeOne('?? ??SELEC...', NULL)
#2 /home/help/public_html/feng/application/models/ContentDataObjects.class.php(294): DB::executeOne('?? ??SELEC...')
#3 /home/help/public_html/feng/environment/classes/dataaccess/DataManager.class.php(442): ContentDataObjects->loadRow(2)
#4 /home/help/public_html/feng/environment/classes/dataaccess/DataManager.class.php(346): DataManager->load(2, false)
#5 /home/help/public_html/feng/application/models/ContentDataObjects.class.php(318): DataManager->findById(2)
#6 /home/help/public_html/feng/application/models/contacts/base/BaseContacts.class.php(223): ContentDataObjects->findById(2, false)
#7 /home/help/public_html/feng/application/models/contacts/base/BaseContacts.class.php(225): BaseContacts->findById(2, false)
#8 /home/help/public_html/feng/application/models/ContentDataObject.class.php(238): BaseContacts->findById(2)
#9 /home/help/public_html/feng/application/models/CompanyWebsite.class.php(73): ContentDataObject->getCreatedBy()
#10 /home/help/public_html/feng/application/models/CompanyWebsite.class.php(46): CompanyWebsite->initCompany()
#11 /home/help/public_html/feng/application/models/CompanyWebsite.class.php(50): CompanyWebsite->init()
#12 /home/help/public_html/feng/application/application.php(19): CompanyWebsite::init()
#13 /home/help/public_html/feng/init.php(151): require_once('/home/help/publ...')
#14 /home/help/public_html/feng/index.php(9): require('/home/help/publ...')
#15 {main}
Autoglobal varibles:
$_GET:    
$_POST:    
$_COOKIE:    Array (
  ['VSP'] => (string) '1'
  ['wp-settings-1'] => (string) 'm5=o&m9=o&editor=html&m4=c&m2=c&m1=o&align=left&m7=c&imgsize=medium&galfile=1&galord=rand&m8=o&m11=o&m10=o&m6=o&wplink=1&m3=c&m12=o&m15=c&galcols=4&m16=c&m19=o&m14=c&m13=o'
  ['wp-settings-time-1'] => (string) '1329248254'
  ['awpopup_5002133'] => (string) '1'
  ['PHPSESSID'] => (string) '54fqrbbtv6ugrjpm1qngglr3p7'
)
$_SESSION:    Array (
  ['script_installer_executed_steps'] => Array (
    
  • => (int)1
  • [1] => (int)2
        [2] => (int)3
      )
      ['script_installer_storage'] => Array (
        ['database_type'] => (string) 'mysql'
        ['database_host'] => (string) 'localhost'
        ['database_user'] => (string) 'helpkyria_wp'
        ['database_pass'] => (string) 'helpEmpire9'
        ['database_name'] => (string) 'helpkyria_fo'
        ['database_prefix'] => (string) 'fo_'
        ['database_engine'] => (string) 'InnoDB'
        ['absolute_url'] => (string)  helpkyriadotcom/feng'
        ['plugins'] => NULL
      )
    )
    Execution time:
    Total execution time: 0.093520879745483 seconds


    END UPDATE

    I am probably being ignorant.

    Trying to upgrade to 2.0 RC. Can't find clear instructions on how to do it.

    Renamed config, version, tmp, uploa and cache files/folders and ftps new files up.

    Finally got to /upgrade and it says

        Config file found and loaded.
        File '/config/config.php' exists and is writable
        Folder '/config' exists and is writable
        Folder '/cache' exists and is writable
        Folder '/tmp' exists and is writable
        Folder '/upload' exists and is writable
        Extension 'mysql' is loaded
        Extension 'gd' is loaded
        Extension 'simplexml' is loaded
        Upgrade script has connected to the database.
        Test query has been executed. Its safe to proceed with database migration.
        Failed to execute DB schema transformations. MySQL said: Table 'fo_administration_tools' already exists
        Error upgrading to version 2.0.0.8

    Help?

    Thanks
« Last Edit: March 13, 2012, 01:30:19 pm by coachmiami »

alvarotm01

  • Administrator
  • Sr. Member
  • *****
  • Posts: 335
    • View Profile
    • Email
Re: Help upgrade from B4 to 2.0 RC (w/ 2 updates)
« Reply #1 on: March 15, 2012, 11:14:10 am »
Hi,

The upgrade script of the RC version that migrates 1.7x versions to 2.0 is not working properly. We expect to have it ok in the final version.
For now if you try to use it and it fails, after running it again delete all tables with prefix "fo_", to avoid failures for existent structures, and to ensure that the last structure definition will be instantiated.

We hope to have the upgrade from 1.7x to 2.0 working fine for next release.

franponce87

  • Administrator
  • Hero Member
  • *****
  • Posts: 1819
    • View Profile
    • Email
Re: Help upgrade from B4 to 2.0 RC (w/ 2 updates)
« Reply #2 on: March 22, 2012, 12:39:15 pm »
Please try again installing the Final version.
Many issues with the installation have been solved there.

Best regards,
Francisco
Would you like to install Feng Office Professional or Enterprise Edition in your servers? No problem! Read this article!

tvraul

  • Newbie
  • *
  • Posts: 2
    • View Profile
Re: Help upgrade from B4 to 2.0 RC (w/ 2 updates)
« Reply #3 on: April 08, 2012, 04:04:20 pm »
 
Hi Francisco,

I still have the same problem with the final version.

Any solutions to it? Pleaseee..